
From: Christoph Hellwig <hch@lst.de>

we already have better stubs in nommu.c, the additional inlines in mm.h only
cause compile failures.



 25-akpm/include/linux/mm.h |   18 ------------------
 1 files changed, 18 deletions(-)

diff -puN include/linux/mm.h~NOMMU-merge-fixes include/linux/mm.h
--- 25/include/linux/mm.h~NOMMU-merge-fixes	Thu Apr 17 16:02:15 2003
+++ 25-akpm/include/linux/mm.h	Thu Apr 17 16:02:15 2003
@@ -595,28 +595,10 @@ extern struct vm_area_struct *find_exten
 
 extern unsigned int nr_used_zone_pages(void);
 
-#ifdef CONFIG_MMU
 extern struct page * vmalloc_to_page(void *addr);
 extern struct page * follow_page(struct mm_struct *mm, unsigned long address,
 		int write);
 extern int remap_page_range(struct vm_area_struct *vma, unsigned long from,
 		unsigned long to, unsigned long size, pgprot_t prot);
-#else
-static inline struct page * vmalloc_to_page(void *addr)
-{
-	return NULL;
-}
-static inline struct page * follow_page(struct mm_struct *mm,
-		unsigned long address, int write)
-{
-	return NULL;
-}
-static inline int remap_page_range(struct vm_area_struct *vma,
-		unsigned long from, unsigned long to,
-		unsigned long size, pgprot_t prot)
-{
-	return -EPERM;
-}
-#endif /* CONFIG_MMU */
 #endif /* __KERNEL__ */
 #endif /* _LINUX_MM_H */

_
